<!--
  Generated template for the KomisiUserPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar>
    <ion-title>Report Komisi</ion-title>
  </ion-navbar>

</ion-header>


<ion-content>
<form (submit)="getKomisi()">
    <ion-item>
	  <ion-label>Periode Tahun</ion-label>
	  <ion-datetime displayFormat="YYYY" [(ngModel)]="regData.tahun" name="tahun"></ion-datetime>
	</ion-item>
	<ion-item class="lista">
	    <ion-label>Periode Bulan</ion-label>
		<ion-select [(ngModel)]="regData.bulanSelected" name="bulanSelected">
			<ion-option value="1">Januari</ion-option>
			<ion-option value="2">Februari</ion-option>
			<ion-option value="3">Maret</ion-option>
			<ion-option value="4">April</ion-option>
			<ion-option value="5">Mei</ion-option>
			<ion-option value="6">Juni</ion-option>
			<ion-option value="7">Juli</ion-option>
			<ion-option value="8">Agustus</ion-option>
			<ion-option value="9">September</ion-option>
			<ion-option value="10">Oktober</ion-option>
			<ion-option value="11">November</ion-option>
			<ion-option value="12">Desember</ion-option>
		</ion-select>		
	</ion-item>
	  <p padding>
	  <button type="submit" ion-button block class="button-karyawan">Search</button>
	  </p>
</form>
<ion-item *ngFor="let bank of data_bank"> 	 
  {{bank.nama_bank}} <br />
  Nomor Rekening : {{bank.nomor_rekening}}
</ion-item>
<div style="overflow-x:auto;">
	  <table>
		<tr>
		  <th>No</th>
		  <th>Tanggal</th>
		  <th>QTY</th>
		  <th>Total (Amount)</th>
		</tr>
		<tr *ngFor="let item of data_komisi" (click)="detail_komisi(item.tgl_trans)">
		      <td>{{item.nomor}}</td>
			  <td>{{item.tgl_trans}}</td>
			  <td style="text-align:center;">{{item.total_qty}}</td>
			  <td>{{item.gr_total | currency : "Rp." : 0}}</td>
		</tr>
	  </table>
	</div>
</ion-content>
